require 'puppet/indirector/face'
Puppet::Face.define(:node_vmware, '0.0.1') do
  copyright "Puppet Labs", 2011 .. 2013
  license   "Puppet Enterprise Software License Agreement"

  summary "View and manage VMware vSphere virtual machine nodes."
  description <<-'EOT'
    This subcommand provides a command line interface to work with VMware vSphere
    virtual machine instances.  The goal of these actions is to easily create
    new virtual machines, start and stop them, and clean up when they're no
    longer required. After creating new nodes, you can use the `node`
    subcommand's `install`, `classify`, and `init` actions to bring them into
    your Puppet infrastructure.

    To use this subcommand, you must include four configuration options in
    your ~/.fog file:  A vCenter user account, a password, a server hostname,
    and the hash digest of the vCenter server's SSL public key. (See below for
    the exact names of the settings.) Puppet will display the public key
    digest the first time you connect to vCenter if the setting is omitted
    from the configuration file.

    The following is an example of ~/.fog configured with an "API" access
    account.

        :default:
          :vsphere_server: vcenter.example.lan
          :vsphere_username: api_user
          :vsphere_password: sekret
          :vsphere_expected_pubkey_hash: 431dd5d0412...

  EOT
end
